Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class MeetingResponseStatusEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.MeetingResponseStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class MeetingResponseStatusEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the meeting response status values. The enumeration class that contains `MeetingResponseStatus` elements.

See Also:
  Serialized Form

Field Summary
`static MeetingResponseStatus` | `ACCEPTED` The accepted meeting response status.
`static MeetingResponseStatus` | `COUNTERED` The countered meeting response status.
`static MeetingResponseStatus` | `DECLINED` The declined meeting response status.
`static MeetingResponseStatus` | `DELEGATED` The delegated meeting response status.
`static MeetingResponseStatus` | `NONE` The not responded response status.
`static int` | `NUM_ELEMENTS`
`static MeetingResponseStatus` | `TENTATIVE` The tentatively accepted meeting response status.
`static int` | `VALUE_ACCEPTED`
`static int` | `VALUE_COUNTERED`
`static int` | `VALUE_DECLINED`
`static int` | `VALUE_DELEGATED`
`static int` | `VALUE_NONE`
`static int` | `VALUE_TENTATIVE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `MeetingResponseStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `MeetingResponseStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ACCEPTED

    public static final int VALUE_ACCEPTED

### VALUE_DECLINED

    public static final int VALUE_DECLINED

### VALUE_DELEGATED

    public static final int VALUE_DELEGATED

### VALUE_COUNTERED

    public static final int VALUE_COUNTERED

### VALUE_TENTATIVE

    public static final int VALUE_TENTATIVE

### VALUE_NONE

    public static final int VALUE_NONE

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### ACCEPTED

    public static final MeetingResponseStatus ACCEPTED

  The accepted meeting response status.

### DECLINED

    public static final MeetingResponseStatus DECLINED

  The declined meeting response status.

### DELEGATED

    public static final MeetingResponseStatus DELEGATED

  The delegated meeting response status.

### COUNTERED

    public static final MeetingResponseStatus COUNTERED

  The countered meeting response status.

### TENTATIVE

    public static final MeetingResponseStatus TENTATIVE

  The tentatively accepted meeting response status.

### NONE

    public static final MeetingResponseStatus NONE

  The not responded response status.

Constructor Detail

### MeetingResponseStatusEnum

    protected MeetingResponseStatusEnum(java.lang.Class elementClass,
                                        int iNumElements,
                                        com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                        EnumElement defaultElement,
                                        java.lang.String sInternalName,
                                        boolean bMaskable)

  Constructor.

### MeetingResponseStatusEnum

    protected MeetingResponseStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.